;
; MIA+EWS/STARTUP
;
; IDL setup file for MIDI Interactive Analysis
;
; This file is part of MIA.
;
; MIA is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; MIA is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with MIA; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
setenv,'drsRoot=%HERE%'
setenv,'BROWSER=%BROWSER%'

!path =	EXPAND_PATH('+'+getenv('drsRoot')+'/idl/astro/pro') + ':' + $
	getenv('drsRoot')+'/contrib:' + $
	getenv('drsRoot')+':' + !path

device,retain=2
;
; open a window so IDL figures out how many colors we have.
; This is necessary for the automatic truecolor-detection.
window,0 & wdelete

!QUIET = 1
@%HERE%/midisetup
!QUIET = 0

!PROMPT = "MIA+EWS> "
defsysv, "!MIAdebug", 0

print,"---------------------------------------------------------------------------"
print," MIDI Interactive Analysis (MIA) and Expert WorkStation (EWS) Version 2.0"
print," by Walter Jaffe, Rainer Koehler, Bill Cotton, Olivier Chesneau, "
print," Leonard Burtscher, Konrad Tristram, Roy v. Boekel and others."
print," MIA+EWS comes with ABSOLUTELY NO WARRANTY.  This is free software,"
print," and you are welcome to redistribute it under certain conditions;"
print," For details, see the file %HERE%/COPYING"
print,"---------------------------------------------------------------------------"
;
; here you can add more setup commands
;
